#Licensed Materials - Property of IBM 
#Rational ClearQuest 
#Copyright IBM Corp. 2008 All Rights Reserved 

package cqcli::IOHandler;

use 5.008006;
use strict;
use warnings;

require Exporter;



our @ISA = qw(Exporter);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use cqcli::commonservice ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(InitIOHandler  CLIprintoutput CLIprinterror	);

our $VERSION = '0.01';



# Preloaded methods go here.
#helper methods



our %CLIFHInfo = ('CLIERR' => *STDERR ,'CLIOUT' => *STDOUT , 'CLISTDIN' => *STDIN);




sub InitIOHandler
{

	binmode(STDOUT,":utf8");
	binmode(STDIN,":utf8");
	binmode(STDERR,":utf8");
	%CLIFHInfo = ('CLIERR' => *STDERR ,'CLIOUT' => *STDOUT , 'CLISTDIN' => *STDIN);

}

sub CLIprintoutput
{
	my ($msg) = shift;
	my $fh = $CLIFHInfo{'CLIOUT'};
	print  $fh "$msg";
}

sub CLIprinterror
{
	my ($msg) = shift;
	my $fh = $CLIFHInfo{'CLIERR'};
	print  $fh "$msg";
}




# Preloaded methods go here.

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
